Bug 990210 - Numerous resource leaks with Cassandra
Numerous resource leaks with Cassandra
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core Server, Storage Node (Show other bugs)
4.9
Unspecified Unspecified
unspecified Severity high (vote)
: ER01
: RHQ 4.13
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 951619
  Show dependency treegraph
 
Reported: 2013-07-30 10:57 EDT by Mike Foley
Modified: 2015-09-02 20:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2013-07-30 10:57:52 EDT
Description of problem:  Numerous resource leaks with Cassandra 

Identified thru static analysis.
Raised as priority issues by the developers attending the July 30th, 2013 static code analysis meeting...who requested a BZ and these issues investigated.

Additional info:


StorageInstaller.java:271, OS_OPEN_STREAM, Priority: Normal
org.rhq.storage.installer.StorageInstaller.run(CommandLine) may fail to close stream


DataMigratorRunner.java:348, OBL_UNSATISFIED_OBLIGATION_EXCEPTION_EDGE, Priority: Normal
org.rhq.server.metrics.migrator.DataMigratorRunner.loadConfigurationFromServerPropertiesFile(String) may fail to clean up java.io.InputStream on checked exception


DataMigratorRunner.java:403, OBL_UNSATISFIED_OBLIGATION_EXCEPTION_EDGE, Priority: Normal
org.rhq.server.metrics.migrator.DataMigratorRunner.loadConfigFile(String) may fail to clean up java.io.InputStream on checked exception


StorageInstaller.java:759, OS_OPEN_STREAM, Priority: Normal
org.rhq.storage.installer.StorageInstaller.parseJmxPort(File) may fail to close stream

CassandraNodeComponent.java:427, OBL_UNSATISFIED_OBLIGATION, Priority: Normal
org.rhq.plugins.cassandra.CassandraNodeComponent.updateSeedsList(List) may fail to clean up java.io.InputStream

AbstractManager.java:186, OS_OPEN_STREAM, Priority: Normal
org.rhq.cassandra.schema.AbstractManager.getUpdateFiles(String) may fail to close stream

RhqInternodeAuthenticator.java:63, OS_OPEN_STREAM, Priority: Normal
org.rhq.cassandra.auth.RhqInternodeAuthenticator.reloadConfiguration() may fail to close stream
Comment 1 Heiko W. Rupp 2014-05-08 10:42:40 EDT
Bump the target version now that 4.11 is out.
Comment 2 Jay Shaughnessy 2014-07-07 13:08:19 EDT
Bumping to 4.13 although perhaps should be closed or updated with a newer static analysis run.

Note You need to log in before you can comment on or make changes to this bug.